Package org.opensaml.saml.saml2.common

# Interface TimeBoundSAMLObject

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `AffiliationDescriptor`, `AttributeAuthorityDescriptor`, `AttributeQueryDescriptorType`, `AuthnAuthorityDescriptor`, `AuthnQueryDescriptorType`, `AuthzDecisionQueryDescriptorType`, `EntitiesDescriptor`, `EntityDescriptor`, `IDPSSODescriptor`, `PDPDescriptor`, `QueryDescriptorType`, `RoleDescriptor`, `SPSSODescriptor`, `SSODescriptor`

All Known Implementing Classes:
  `AffiliationDescriptorImpl`, `AttributeAuthorityDescriptorImpl`, `AttributeQueryDescriptorTypeImpl`, `AuthnAuthorityDescriptorImpl`, `AuthnQueryDescriptorTypeImpl`, `AuthzDecisionQueryDescriptorTypeImpl`, `EntitiesDescriptorImpl`, `EntityDescriptorImpl`, `IDPSSODescriptorImpl`, `PDPDescriptorImpl`, `QueryDescriptorTypeImpl`, `RoleDescriptorImpl`, `RoleDescriptorXSAnyAdapter`, `SPSSODescriptorImpl`, `SSODescriptorImpl`

public interface TimeBoundSAMLObject extends SAMLObject
A functional interface for SAMLElements that are bounded with a "validUntil" attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VALID_UNTIL_ATTRIB_NAME`
"validUntil" attribute's local name.
`static final QName`
`VALID_UNTIL_ATTRIB_QNAME`
"validUntil" attribute's QName.

## Method Summary

Modifier and Type
Method
Description
`Instant`
`getValidUntil()`
Gets the date until which this descriptor is valid.
`boolean`
`isValid()`
Checks to see if the current time is past the validUntil time.
`void`
`setValidUntil(Instant validUntil)`
Sets the date until which this descriptor is valid.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### VALID_UNTIL_ATTRIB_NAME

@Nonnull @NotEmpty static final String VALID_UNTIL_ATTRIB_NAME
"validUntil" attribute's local name.

See Also:
  - Constant Field Values

### VALID_UNTIL_ATTRIB_QNAME

@Nonnull static final QName VALID_UNTIL_ATTRIB_QNAME
"validUntil" attribute's QName.

## Method Details

### isValid

boolean isValid()
Checks to see if the current time is past the validUntil time.

Returns:
  true of this descriptor is still valid otherwise false

### getValidUntil

@Nullable Instant getValidUntil()
Gets the date until which this descriptor is valid.

Returns:
  the date until which this descriptor is valid

### setValidUntil

void setValidUntil(@Nullable Instant validUntil)
Sets the date until which this descriptor is valid.

Parameters:
  `validUntil` - the date until which this descriptor is valid